View Issue Details

IDProjectCategoryView StatusLast Update
14180Bug reports[All Projects] Theme editorpublic2018-11-08 15:36
ReporterDenisChenuAssigned ToDenisChenu 
PrioritynoneSeverityminor 
Status resolvedResolutionfixed 
Product Version3.15.x 
Target VersionFixed in Version3.15.x 
Summary14180: Multiple logo filename with same url in dropdown
Description

If you have 2 image file : one in global directory + one in template directory : file name is shown 2 time (and it's finally the template that rae shown)

Steps To Reproduce

Edit vanilla theme options, send monlogo.png
Extend this theme to monlogo_vanilla
Upload another monlogo.png
Look at the dropdown

Additional Information

2 solutions :

  1. put the filename as key : then we return only ONE image file
  2. Set a category and update the listing to send the category in TemplateOption (search only in one directory)
TagsNo tags attached.
Complete LimeSurvey version number (& build)3.15.1 github
I will donate to the project if issue is resolvedNo
Browsernot relevant ?
Database & DB-Versionnot relevant ?
Operating System (Server)not relevant ?
Webserver software & versionnot relevant ?
PHP Versionnot relevant ?

Relationships

related to 14171 resolvedDenisChenu Survey owner can't upload logo 

Activities

DenisChenu

DenisChenu

2018-10-24 19:07

developer   ~49433

I found the issue during https://github.com/LimeSurvey/LimeSurvey/pull/1158

What is the best solution ?

  1. Shown only one file by name, take the last one in dropdown : we can revert https://github.com/LimeSurvey/LimeSurvey/pull/1158/commits/117abc8b206f0de9fe636108985bd135213bc9f5 Then if user upload a logo.png, update options, select logo.png : it was updated to survey/logo
  2. Always show it by categories, then must update _filterImages to get filename + basePath (and do <strike>3</strike>2 times the foreach https://github.com/LimeSurvey/LimeSurvey/blob/8d9f958e0ab2b02902ea9968b356aec8e78b9289/application/models/TemplateConfiguration.php#L810 (3 times with survey, 2 currently)
DenisChenu

DenisChenu

2018-10-24 19:11

developer  

DenisChenu

DenisChenu

2018-10-26 00:13

developer   ~49445

Fix committed to master_ImageInSurvey branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&amp;id=28406

DenisChenu

DenisChenu

2018-11-03 11:50

developer   ~49530

@markusfluer Please : see if pull request need update …
Else : i can merge it monday ? (I need it for a client)

DenisChenu

DenisChenu

2018-11-08 15:35

developer   ~49583

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&amp;id=28491

Related Changesets

LimeSurvey: master_ImageInSurvey 3c6bc7f5

2018-10-26 00:13:20

DenisChenu

Details Diff
Fixed issue 14180: Multiple logo filename with same url in dropdown
Dev: separate each image, add otpgroup label
Dev: it fix the issue, but need update options.twig
mod - application/models/TemplateConfiguration.php Diff File

LimeSurvey: master a2bbf642

2018-11-08 15:35:04

DenisChenu


Committer: GitHub Details Diff
Fixed issue 14180: Multiple logo filename with same url in dropdown

Fixed issue 14171: Survey owner without template edit right can not upload logo
New feature : list image in Survey for Brand logo file in Theme option
Dev: use survey folder for Template uploaded image
Dev: separate image in template and image in survey
Dev: separate each image, add otpgroup label
Dev: Put optgroup in image selector (core template)
mod - application/controllers/admin/surveyadmin.php Diff File
mod - application/controllers/admin/themeoptions.php Diff File
mod - application/controllers/admin/themes.php Diff File
mod - application/models/TemplateConfiguration.php Diff File
mod - themes/survey/bootswatch/options/options.twig Diff File
mod - themes/survey/fruity/options/options.twig Diff File
mod - themes/survey/vanilla/options/options.twig Diff File

Issue History

Date Modified Username Field Change
2018-10-24 19:03 DenisChenu New Issue
2018-10-24 19:03 DenisChenu Relationship added related to 14171
2018-10-24 19:07 DenisChenu Note Added: 49433
2018-10-24 19:08 DenisChenu Assigned To => markusfluer
2018-10-24 19:08 DenisChenu Status new => feedback
2018-10-24 19:08 DenisChenu Assigned To markusfluer =>
2018-10-24 19:08 DenisChenu Status feedback => new
2018-10-24 19:08 DenisChenu Assigned To => LouisGac
2018-10-24 19:08 DenisChenu Status new => feedback
2018-10-24 19:08 DenisChenu Assigned To LouisGac =>
2018-10-24 19:08 DenisChenu Status feedback => new
2018-10-24 19:11 DenisChenu File Added: Capture du 2018-10-24 19-11-30.png
2018-10-24 19:12 DenisChenu Summary Multiple logo filename with same url => Multiple logo filename with same url in dropdown
2018-10-26 00:13 DenisChenu Changeset attached => LimeSurvey master_ImageInSurvey 3c6bc7f5
2018-10-26 00:13 DenisChenu Note Added: 49445
2018-10-26 00:13 DenisChenu Assigned To => DenisChenu
2018-10-26 00:13 DenisChenu Resolution open => fixed
2018-10-26 08:37 DenisChenu Status new => assigned
2018-11-03 11:49 DenisChenu Assigned To DenisChenu => markusfluer
2018-11-03 11:50 DenisChenu Note Added: 49530
2018-11-08 15:35 DenisChenu Changeset attached => LimeSurvey master a2bbf642
2018-11-08 15:35 DenisChenu Note Added: 49583
2018-11-08 15:35 DenisChenu Assigned To markusfluer => DenisChenu
2018-11-08 15:36 DenisChenu Status assigned => resolved
2018-11-08 15:36 DenisChenu Fixed in Version => 3.15.x